<div class="deviceTable">
  <p-dataTable [value]="devices$ | async" selectionMode="single" [(selection)]="selectedDevice"
               (onRowSelect)="onRowSelect($event)" sortField="idDevice"
               [paginator]="true" rows="15" [responsive]="true">
    <p-header>Lista urządzeń</p-header>
    <p-column field="name" header="Nazwa"></p-column>
    <p-column field="category" header="Kategoria"></p-column>
    <p-column field="state" header="Stan"></p-column>
    <p-column field="comment" header="Komentarz"></p-column>
    <p-footer>
      <div class="ui-helper-clearfix" style="width:100%">
        <button type="button" pButton icon="fa-plus" style="float:left" (click)="showDialogToAdd()"
                label="Dodaj urządzenie"></button>
      </div>
    </p-footer>
  </p-dataTable>
</div>

<p-dialog header="Edycja urządzenia" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true">
  <div class="ui-grid ui-grid-responsive ui-fluid" *ngIf="device">
    <div class="ui-grid-row">
      <div class="ui-grid-col-4"><label for="name">Nazwa</label></div>
      <div class="ui-grid-col-8"><input pInputText id="name" [(ngModel)]="device.name" class="ui-inputtext"/></div>
    </div>

    <div class="ui-grid-row">
      <div class="ui-grid-col-4"><label for="category">Kategoria</label></div>
      <div class="ui-grid-col-8">
        <p-dropdown class="form-control"
                    appendTo="body" [style]="{'width':'100%'}"
                    [placeholder]="'Wybierz kategorię'"
                    [(ngModel)]="device.category" name="category" [options]="categories"></p-dropdown>
      </div>
    </div>

    <div class="ui-grid-row">
      <div class="ui-grid-col-4"><label for="state">Stan</label></div>
      <div class="ui-grid-col-8">
        <p-dropdown class="form-control"
                    appendTo="body" [style]="{'width':'100%'}"
                    [placeholder]="'Wybierz stan'"
                    [(ngModel)]="device.state" name="state" [options]="states"></p-dropdown>
      </div>
    </div>

    <div class="ui-grid-row">
      <div class="ui-grid-col-4"><label for="comment">Komentarz</label></div>
      <div class="ui-grid-col-8"><input pInputText id="comment" [(ngModel)]="device.comment" class="ui-inputtext"/>
      </div>
    </div>

    <hr>
    <p-dataTable [value]="device?.parameters" [editable]="true" [style]="{'width':'700px'}">
      <p-column field="name" header="Nazwa" [editable]="true"></p-column>
      <p-column field="value" header="Wartość" [editable]="true"></p-column>
      <p-column styleClass="col-button" [style]="{'width':'60px'}">
        <ng-template let-param="rowIndex" pTemplate="body">
          <button type="button" pButton (click)="deleteParameter(param)" icon="fa-close"></button>
        </ng-template>
      </p-column>

      <p-footer>
        <div class="ui-helper-clearfix" style="width:180px">
          <button type="button" style="float:left" pButton icon="fa-plus" (click)="addParameter()"
                  label="Dodaj parametr"></button>
        </div>
      </p-footer>
    </p-dataTable>

  </div>
  <p-footer>
    <div class="ui-dialog-buttonpane ui-helper-clearfix">
      <button type="button" pButton icon="fa-undo" (click)="hideDialog()" label="Anuluj"></button>
      <button type="button" *ngIf="device?.idDevice" pButton icon="fa-trash" (click)="deleteDevice()" label="Usuń"></button>
      <button type="button" pButton icon="fa-check" (click)="saveDevice()" label="Zapisz"></button>
    </div>
  </p-footer>
</p-dialog>
